Skip to main content
PATCH
/
v2
/
files
/
{file_id}
Update a file
curl --request PATCH \
  --url https://api.orq.ai/v2/files/{file_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "file_id": "<string>",
  "file_name": "<string>"
}
'
{
  "file": {
    "file_id": "<string>",
    "purpose": 123,
    "file_name": "<string>",
    "workspace_id": "<string>",
    "bytes": "<string>",
    "created_at": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.orq.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

file_id
string
required

Body

application/json
file_id
string
file_name
string

Response

200 - application/json

OK

file
object